%global with_debug 1

%global provider github
%global provider_tld com
%global project kata-containers
%global repo shim
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}
%global git0 https://%{import_path}
%global commit0 63461104a1a482d753cbf7beeda956414fc0d38b
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%if 0%{with_debug}
%global _find_debuginfo_dwz_opts %{nil}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package %{nil}
%endif # with_debug

Name: kata-%{repo}
Version: 1.4.1
Release: 1.git%{shortcommit0}%{?dist}
Summary: Shim for Kata project
License: ASL 2.0
URL: %{git0}
Source0: %{git0}/archive/%{commit0}/%{repo}-%{commit0}.tar.gz
BuildRequires: %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang}
BuildRequires: git

Provides: bundled(golang(github.com/Azure/go-ansiterm)) = d6e3b3328b783f23731bc4d058875b0371ff8109
Provides: bundled(golang(github.com/davecgh/go-spew)) = v1.1.0
Provides: bundled(golang(github.com/docker/docker)) = bc183a0062c1283cfc47f42ec78501868629dd2b
Provides: bundled(golang(github.com/gogo/protobuf)) = 342cbe0a04158f6dcb03ca0079991a51a4248c02
Provides: bundled(golang(github.com/golang/protobuf)) = 1e59b77b52bf8e4b449a57e6f79f21226d571845
Provides: bundled(golang(github.com/kata-containers/agent)) = 8f22514ae5790f3b6953cf93692e663fa29469e3
Provides: bundled(golang(github.com/kr/pty)) = v1.1.0
Provides: bundled(golang(github.com/mdlayher/vsock)) = 738c88d6e4cfd60e8124a5344fa10d205fd828b9
Provides: bundled(golang(github.com/moby/moby)) = v1.13.1
Provides: bundled(golang(github.com/opencontainers/runtime-spec)) = 4e3b9264a330d094b0386c3703c5f379119711e8
Provides: bundled(golang(github.com/pmezard/go-difflib)) = v1.0.0
Provides: bundled(golang(github.com/sirupsen/logrus)) = v1.0.4
Provides: bundled(golang(github.com/stretchr/testify)) = v1.2.0
Provides: bundled(golang(golang.org/x/crypto)) = 13931e22f9e72ea58bb73048bc752b48c6d4d4ac
Provides: bundled(golang(golang.org/x/net)) = a8b9294777976932365dabb6640cf1468d95c70f
Provides: bundled(golang(golang.org/x/sys)) = 810d7000345868fc619eb81f46307107118f4ae1
Provides: bundled(golang(golang.org/x/text)) = e19ae1496984b1c655b8044a65c0300a3c878dd3
Provides: bundled(golang(google.golang.org/genproto)) = a8101f21cf983e773d0c1133ebc5424792003214
Provides: bundled(golang(google.golang.org/grpc)) = v1.8.0

%description
%{summary}

%prep
%autosetup -Sgit -n %{repo}-%{commit0}

%build
mkdir _build
pushd _build
mkdir -p src/%{provider}.%{provider_tld}/%{project}
ln -s $(dirs +1 -l) src/%{import_path}
popd

mv vendor src
export GOPATH=$(pwd)/_build:$(pwd)
%gobuild -o %{name}

%install
install -dp %{buildroot}%{_libexecdir}
%{__make} install LIBEXECDIR=%{buildroot}%{_libexecdir}

%check
export http_proxy=http://127.0.0.1:9/
export https_proxy=http://127.0.0.1:9/
export no_proxy=localhost

%files
%license LICENSE
%doc CODE_OF_CONDUCT.md CONTRIBUTING.md README.md 
%dir %{_libexecdir}/kata-containers
%{_libexecdir}/kata-containers/%{name}

%changelog
* Thu Dec 13 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.4.1-1.git6346110
- Resolves: #1590428 - first build on Fedora
- bump to v1.4.1

* Wed Nov 21 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.3.1-6.git58f757d
- use macros where possible

* Wed Nov 21 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.3.1-5.git58f757d
- build with %%gobuild

* Wed Nov 21 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.3.1-4.git58f757d
- build for all supported arches

* Wed Nov 21 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.3.1-3.git58f757d
- no need for make as BR

* Mon Nov 12 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.3.1-2.git58f757d
- bundled Provides

* Sat Nov 10 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.3.1-1.git58f757d
- bump to v1.3.1
- built commit 58f757d

* Thu Jun 14 2018 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.0-1.git087a537
- first build (ready for Fedora review)
